# 1. Předplatné: Získat události

Sledujte odběry když `VLOŽIT`/`Změnit`/`ODSTRANIT` se události stanou s "Farmou", "Polem", "SatelitnímObrazemPole", "RasterovouAnalýzouMapy", "VektorovouAnalýzouMapy" a jinými entitami.

Mechanismus odběrů je postavený na MQTT a WebSocket. Doporučujeme začít integraci přečtením [článek o AWS AppSync odběrech](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Udalosti odběru se odesílají hned, jakmile událost nastane v GeoPard backendu.
{% endhint %}

{% hint style="info" %}
Každá událost odběru má unikátní identifikaci nazvanou `uuid`, která je užitečná pro filtrování zpracovaných a chybějících událostí vyžádaných z [82. Dotaz: Obnovit události odběru](/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/82.-mutace-obnovit-udalosti-odberu.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription SledujUdalostiPlatformy {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    action
    nodePath {
      entity
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/1.-predplatne-ziskat-udalosti.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
